/*
FILE : REDIR.H

Implementation of a printf redirector.

(C) C. Valens

Created     : 21/09/1999
Last update : 24/09/1999

*/


#ifndef __REDIR_H__
#define __REDIR_H__

/*
 * Open the output stream. If what and how are NULL, output will be send
 * to CON in default mode.
 * Returns -1 in case of error, 0 otherwise.
 */
int redir_open(const char *what, const char *how);

/*
 * Close the output stream.
 * Always returns 0.
 */
int redir_close(void);

/*
 * Identical to printf, but redirected to the output stream.
 * Returns the number of characters written.
 */
int redir_printf(const char *format, ...);


#endif /* __REDIR_H__ */
