/*
FILE : GCD.H

Implementation of the Euclidean algorithm for Laurent polynomials.

(C) C. Valens

Created     : 16/09/1999
Last update : 23/09/1999
*/


#ifndef __GCD_H__
#define __GCD_H__


#include "zpoly.h"


/*
 * List stuff
 */
typedef struct __gcd_list {
  zpoly_pair divmod;
  struct __gcd_list *next;
} gcd_list;

/*
 * Create a gcd list.
 */
gcd_list *gcd_create_list(void);

/*
 * Destroy a gcd list.
 */
void gcd_destroy_list(gcd_list *root);

/*
 * Write a gcd list to the output stream.
 */
void gcd_write_list(gcd_list *list);

/*
 * Do the Euclidean algorithm.
 * Returns a list with all possible gcds of poly1 and poly2.
 */
gcd_list *gcd_euclides(zpoly *poly1, zpoly *poly2);


#endif /* __GCD_H__ */

